import { Locale } from '@/types/common';

const zhCN: Locale['business'] = {
  global: {
    all: '全部',
    application: '应用',
    setting: '设置',
    management: '管理',
    project: '项目',
    team: '团队',
    user: '用户',
    projects: '项目',
    dynamics: '动态',
    recycles: '回收站',
    conditions: '条件',
    condition: '条件',
    variables: '变量',
    functions: '方法',
    resources: '资源',
    packages: '包',
    dashboard: '面板',
    contents: '内容',
    versions: '版本',
    add: '新增',
    edit: '编辑',
    type: '类型',
    modify: '修改',
    update: '更新',
    view: '预览',
    delete: '删除',
    operator: '操作人',
    nameLabel: '名称',
    creator: '创建人',
    createTime: '创建时间',
    updateTime: '更新时间',
    actions: '操作',
    apply: '保存',
    save: '保存',
    remove: '删除',
    search: '搜索',
    build: '构建',
    locale: '语言',
    deleteMsg: '是否确定删除',
    yes: '是',
    no: '否',
    terms: '细则',
    deleteFailMsg: '删除失败',
    host: '域名',
    select: '选择',
    height: '高',
    width: '宽',
    label: '别名',
    deleteSuccess: '删除成功',
    publishSuccess: '发布成功',
    cloneSuccess: '复制成功',
    moveSuccess: '移动成功',
    updateSuccess: '更新成功',
    saveSuccess: '保存成功',
    commitSuccess: '提交成功',
    revokeSuccess: '撤回成功',
    deleteFailed: '删除失败',
    publishFailed: '发布失败',
    cloneFailed: '复制失败',
    moveFailed: '移动失败',
    updateFailed: '更新失败',
    saveFailed: '保存失败',
    commitFailed: '提交失败',
    revokeFailed: '撤回失败',
    fetchListSuccess: '查询列表成功',
    fetchListFailed: '查询列表失败',
    previewFailed: '预览失败',
    addFailed: '保存失败',
    searchFailed: '查询失败',
    nameError: '请输入名称',
    selectLocale: '请选择Locale',
    nameFormatInvalid: '请输入有效的名称(0-9 a-z A-Z - _ @)',
  },
  workspace: {
    name: '工作空间',
  },
  organization: {
    name: '组织',
  },
  store: {
    buy: '购买',
    name: '商店',
    commit: '提交',
    revoke: '撤回',
    commitTitle: '是否确定提交？',
    commitMsg: '当前文件将在商店售卖。',
    revokeTitle: '是否确定撤销？',
    revokeMsg: '当前文件将不会再商店售卖。',
    commitYes: '是',
    commitNo: '否',
    fetchResourceFailed: '查询商店资源失败',
    buyModalTitle: '选择应用',
    buySuccess: '购买成功',
    buyFailed: '购买失败',
  },
  login: {
    loginOut: '登出',
    account: '账户',
    password: '密码',
    loginSuccess: '登陆成功',
    loginFailed: '登陆失败',
    noOrganization: '请联系管理员加入组织',
    registerSuccess: '注册成功',
    registerFailed: '注册失败',
  },
  project: {
    add: '新增项目',
    edit: '编辑项目',
    nameLabel: '项目名称',
    deleteMessage: '是否确定删除？',
  },
  application: {
    add: '新增应用',
    new: '新增应用',
    edit: '编辑应用',
    nameLabel: '应用名称',
    applicationList: '应用列表',
    fetchListFailed: '查询应用列表失败',
    nameInvalid: '请输入名称',
    slugInvalid: '请输入一级目录',
    hostInvalid: '请输入域名',
    regionInvalid: '请选择国家/地区',
    languageInvalid: '请选择语言',
    typeInvalid: '请选择类型',
    downloadHostInvalid: '请输入下载地址',
    fetchDetailFailed: '查询应用详情失败',
    fetchLocalesFailed: '查询语言列表失败',
    nameLengthInvalid: '名称长度至少为5',
    notSelectError: '请选择应用',
    resourceNameInvalid: '请输入资源组名称',
    resourceTypeInvalid: '请选择资源组类型',
    addLocale: '新增语言',
    addResource: '新增资源组',
    selectApplication: '选择应用',
  },
  folder: {
    name: '文件夹',
    add: '新增文件夹',
    nameLabel: '文件夹名称',
    deleteTitle: '是否确定删除?',
    deleteMsg: '该节点下所有内容将被删除.',
  },
  file: {
    name: '文件',
    add: '新增文件',
    edit: '编辑文件',
    nameLabel: '文件名称',
    page: '页面',
    template: '模板',
    package: '包',
    pathname: '访问路径',
    filePath: '文件路径',
    deleteMessage: '是否确定删除',
    relPath: '文件路径',
    fetchDetailFailed: '查询文件详情失败',
    fetchPageListFailed: '查询列表失败',
  },
  content: {
    name: '内容',
    add: '新增内容',
    edit: '编辑内容',
    nameLabel: '内容名称',
    deleteMessage: '确定删除',
    query: '链接参数',
    fetchFailed: '查询内容失败',
  },
  team: {
    add: '新增团队',
    edit: '编辑团队',
    userCount: '用户数',
    nameLabel: '团队名称',
    userManagement: '用户管理',
    addUser: '新增用户',
    userId: '用户Id',
    joinTime: '加入时间',
    account: '账户',
    accountInfo: '账户信息',
    selectUserPlaceHolder: '请选择用户',
    fetchUsersFailed: '查询团队成员列表失败',
  },
  condition: {
    add: '新增条件',
    name: '条件',
    nameLabel: '条件名称',
    arithmeticLogic: '计算逻辑',
    deleteFailMsg: '删除失败，请稍后重试',
    time: '时间',
    show: '显示',
    hide: '隐藏',
    general: '基础',
    advanced: '高级',
    timezoneSelect: '选择时区',
    selectCondition: '条件选择',
    fetchFailed: '查询条件列表失败',
  },
  function: {
    name: '方法',
    add: '新增方法',
    nameLabel: '方法名称',
    fetchFailed: '查询方法列表失败',
  },
  package: {
    component: '组件',
    editor: '编辑器',
    library: 'Lib库',
    fetchFailed: '查询列表失败',
    setVersionLiveTip: '是否设置当前版本为激活状态?',
  },
  component: {
    add: '新增组件',
    fetchDetailFailed: '查询组件信息失败',
    fetchUpdateInfoFailed: '查询组件更新信息失败',
    fetchListFailed: '查询组件列表失败',
  },
  editor: {
    add: '新增编辑器',
  },
  library: {
    add: '新增lib库',
  },
  version: {
    add: '新增版本',
    edit: '编辑版本',
    name: '版本',
    source: '资源',
    dependency: '依赖',
    config: '配置',
    useStyleEditor: '使用样式编辑器',
    enableChildren: '允许插入子节点',
    changelog: '更新日志',
    liveVersion: '在线版本',
    status: '状态',
    versionError: '请输入正确的版本号',
    publish: '发布',
    republish: '重新发布',
    live: '激活',
    componentVersion: '组件版本',
    syncTitle: '从云端同步',
  },
  resource: {
    group: '资源组',
    groupError: '请选择资源',
    resourceFolder: '资源文件夹',
    resourceVersion: '资源版本',
    deleteTitle: '是否确定删除?',
    deleteMsg: '该资源组下所有的资源将被删除。',
    resourceGroup: '资源组',
    addResourceGroup: '新增资源组',
    addGroup: '新增资源组',
    editGroup: '编辑资源组',
    groupName: '资源组名称',
    groupType: '资源组类型',
    groupInfo: '资源组描述',
    manifestPath: 'Manifest路径',
    selfBuild: '自建',
    thirdParty: '第三方',
  },
  setting: {
    basicInfo: '基础信息',
    accessControl: '访问控制',
    Introduction: '描述',
    downloadHost: '下载域名',
    region: '国家/地区',
    language: '语言',
    resource: '资源设置',
    slug: '一级目录',
  },
  builder: {
    componentList: '组件列表',
    componentSearch: '输入搜索内容',
    pageStyle: '页面样式',
    pad: '平板',
    pc: '电脑',
    mobile: '手机',
    zoom: '缩放',
    more: '更多',
    preview: '预览',
    pageStore: '商店',
    selectTemplateError: '请选择模板',
    selectPageError: '请选择页面',
    selectPageModalTitle: '选择页面',
    selectTemplateModalTitle: '选择模板',
    lastStep: '上一步',
    nextStep: '下一步',
    noComponentError: '添加一下组件到应用中',
    selectPage: '点击选择需要复制的页面',
    componentCopyMsg: '确定复制?',
    componentDeleteMsg: '确定删除?',
    fetchDslFailed: '查询Dsl失败',
    fetchCatalogFailed: '查询目录失败',
    fetchTemplateFailed: '查询模板失败',
  },
  variable: {
    title: '变量',
    add: '新增变量',
    edit: '编辑变量',
    args: '参数',
    value: '值',
    selectFunction: '选择方法',
    fetchFailed: '获取变量失败',
    fetchDetailFailed: '获取变量详情失败',
    notExist: '变量(${name}) 不存在!',
    useVariableTitle: '变量使用',
    useVariableTip: '使用变量(例:',
    useVariableAttrTip: '使用变量属性(例:',
    content: '内容',
  },
};

export default zhCN;
